#include <JsonParser.hpp>


namespace json_parser{

    using json = nlohmann::json;

    json JsonParser::create_log(uint8_t gpio_num, bool gpio_state){
        json json_log;
        json_log["gpio-num"] = gpio_num;
        json_log["gpio-state"] = gpio_state ? "on" : "off";
        return json_log;
    }

    const std::string convert_to_string(const json &json_object){
        std::string json_string = json_object.dump();
        return json_string;
    }
}